QuattroDosSpreadsheetInternal::Style Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
QuattroDosSpreadsheetInternal::Style Struct Referencefinal

a class used to store a style of a cell in QuattroDosSpreadsheet More...

Inheritance diagram for QuattroDosSpreadsheetInternal::Style:

## Public Member Functions
| Style (libwps_tools_win::Font::Type type)
| construtor More...
| Style (Style const &)=default
Style & | operator= (Style const &)=default
| ~Style () final
| destructor More...
bool | operator== (Style const &st) const
| operator== More...
bool | operator!= (Style const &st) const
| operator!= More...
Public Member Functions inherited from WPSCellFormat
| WPSCellFormat ()
| constructor More...
| WPSCellFormat (WPSCellFormat const &)=default
WPSCellFormat & | operator= (WPSCellFormat const &)=default
virtual | ~WPSCellFormat ()
| destructor More...
bool | hasBasicFormat () const
| returns true if this is a basic format style More...
std::string | getValueType () const
| returns a value type More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | getNumberingProperties (librevenge::RVNGPropertyList &propList) const
| get the number style More...
const WPSFont & | getFont () const
| returns the font More...
void | setFont (WPSFont const &font)
| sets the font More...
HorizontalAlignment | hAlignment () const
| returns the horizontal alignement More...
void | setHAlignment (HorizontalAlignment align)
| sets the horizontal alignement More...
VerticalAlignment | vAlignment () const
| returns the vertical alignement More...
void | setVAlignment (VerticalAlignment align)
| sets the vertical alignement More...
Wrapping | wrapping () const
| returns the wrapping More...
void | setWrapping (Wrapping align)
| sets the wrapping More...
int | getTextRotation () const
| returns the text rotation angle More...
void | setTextRotation (int rotation)
| sets the text rotation angle More...
FormatType | getFormat () const
| returns the format type More...
int | getSubFormat () const
| returns the subformat type More...
std::string | getDTFormat () const
| returns the date/time format ( if set) More...
void | setFormat (FormatType form, int subForm=0)
| sets the format type More...
void | setDTFormat (FormatType form, std::string const &dtFormat="")
| sets the format type More...
int | digits () const
| returns the number of digits ( for a number) More...
void | setDigits (int newDigit)
| set the number of digits ( for a number) More...
bool | isProtected () const
| returns true if the cell is protected More...
void | setProtected (bool fl)
| returns true if the cell is protected More...
bool | hasBorders () const
| return true if the cell has some border More...
const std::vector< WPSBorder > & | borders () const
| return the cell border: libwps::LeftBit | ... More...
void | resetBorders ()
| reset the border More...
void | setBorders (int wh, WPSBorder const &border)
| sets the cell border: wh=WPSBorder::LeftBit|... More...
void | setBorders (std::vector< WPSBorder > const &newBorders)
| sets the cell borders More...
WPSColor | backgroundColor () const
| returns the background color More...
void | setBackgroundColor (WPSColor const &color)
| set the background color More...
int | compare (WPSCellFormat const &cell, bool onlyNumbering=false) const
| a comparison function More...

## Public Attributes
libwps_tools_win::Font::Type | m_fontType
| font encoding type More...
int | m_fileFormat
| the file format More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Style const &style)
| operator<< More...

## Additional Inherited Members
Public Types inherited from WPSCellFormat
enum | HorizontalAlignment { HALIGN_LEFT, HALIGN_RIGHT, HALIGN_CENTER, HALIGN_FULL, HALIGN_DEFAULT }
| the default horizontal alignement. More...
enum | VerticalAlignment { VALIGN_TOP, VALIGN_CENTER, VALIGN_BOTTOM, VALIGN_DEFAULT }
| the default vertical alignement. More...
enum | Wrapping { WRAP_WRAP, WRAP_NO_WRAP, WRAP_DEFAULT }
| the wrapping More...
enum | FormatType { F_TEXT, F_BOOLEAN, F_NUMBER, F_DATE, F_TIME, F_UNKNOWN }
| the different types of cell's field More...
Static Protected Member Functions inherited from WPSCellFormat
static bool | convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propListVector)
| convert a DTFormat in a propertyList More...
Protected Attributes inherited from WPSCellFormat
WPSFont | m_font
| the cell font ( used in spreadsheet code ) More...
HorizontalAlignment | m_hAlign
| the cell alignement : by default nothing More...
VerticalAlignment | m_vAlign
| the cell vertical alignement : by default nothing More...
Wrapping | m_wrapping
| the wrapping : by default nothing More...
int | m_rotation
| the text rotation More...
std::vector< WPSBorder > | m_bordersList
| the cell border WPSBorder::Pos More...
FormatType | m_format
| the cell format : by default unknown More...
int | m_subFormat
| the sub format More...
std::string | m_DTFormat
| a date/time format ( using a subset of strftime format ) More...
int | m_digits
| the number of digits More...
bool | m_protected
| cell protected More...
WPSColor | m_backgroundColor
| the backgroung color More...

## Detailed Description

a class used to store a style of a cell in QuattroDosSpreadsheet

## Constructor & Destructor Documentation

## ◆ Style() [1/2]

QuattroDosSpreadsheetInternal::Style::Style | ( | libwps_tools_win::Font::Type | type | ) |
| inlineexplicit

construtor

## ◆ Style() [2/2]

QuattroDosSpreadsheetInternal::Style::Style | ( | Style const & |  | ) |
| default

## ◆ ~Style()

QuattroDosSpreadsheetInternal::Style::~Style | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ operator!=()

bool QuattroDosSpreadsheetInternal::Style::operator!= | ( | Style const & | st | ) | const
| inline

operator!=

## ◆ operator=()

Style& QuattroDosSpreadsheetInternal::Style::operator= | ( | Style const & |  | ) |
| default

## ◆ operator==()

bool QuattroDosSpreadsheetInternal::Style::operator== | ( | Style const & | st | ) | const

operator==

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Style const & | style
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string QuattroDosSpreadsheetInternal::Style::m_extra

extra data

Referenced by QuattroDosSpreadsheetInternal::operator<<(), operator==(), QuattroDosSpreadsheet::readCellStyle(), and QuattroDosSpreadsheet::readUserStyle().

## ◆ m_fileFormat

int QuattroDosSpreadsheetInternal::Style::m_fileFormat

the file format

Referenced by QuattroDosSpreadsheetInternal::operator<<(), operator==(), QuattroDosSpreadsheet::readCell(), QuattroDosSpreadsheet::readCellStyle(), and QuattroDosSpreadsheet::readUserStyle().

## ◆ m_fontType

libwps_tools_win::Font::Type QuattroDosSpreadsheetInternal::Style::m_fontType

font encoding type

Referenced by operator==(), and QuattroDosSpreadsheet::readCell().

The documentation for this struct was generated from the following file:

- QuattroDosSpreadsheet.cpp